EDIT - bug #6894

NPE when trying drag&drop a Classification to the GrantedAuthority editor
08/07/2017 02:37 PM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 50%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.10

Severity: critical Found in Version: Release 4.9
Description

This i is critical because addmg to full classmcahon asa GrantedAuthorlty is a standard usecase. Maybe-this-got-corrupted-when
-this is not the and was the cause for fixing this

issue the wrong wayl

Related issues:

Related to EDIT - bug #6783: Menu item for editing right is missing Closed
Related to EDIT - bug #6961: Drag&Drop for taxon nodes throws NPE when hoveri... Closed
Has duplicate EDIT - bug #6798: NPE when trying to drag&drop a classification... Duplicate

Associated revisions

Revision 1d45fffd - 08/18/2017 11:17 AM - Katja Luther

ref #6894: fix drag&drop in grantedAuthority view for classification

Revision af65d6ac - 08/30/2017 01:42 PM - Katja Luther

ref #6894: adapt Drag&drop to use classification as dragsource not the rootnode

Revision 92a59538 - 09/20/2017 04:11 PM - Andreas Miiller

fix #6961 fix NPE for TaxonNode d&d when hovering classification in AdapterAssistant class

Revision fa8083dd - 09/21/2017 06:30 PM - Andreas Miiller
fix #6961 fix further potential NPEs in TreeNodeDropAdapter and TreeNodeDropAdapterAssistant and cleanup

Revision 1cefec6b - 09/21/2017 10:20 PM - Andreas Miiller
fix #6961 fix further NPEs in TreeNodeDropAdapter and TreeNodeDropAdapterAssistant

Revision 2f567cbc - 09/25/2017 10:20 AM - Katja Luther

ref ##6894: revert use of classification instead of rootnode for CdmPermittionVoter

History

#1 - 08/18/2017 11:17 AM - Katja Luther
- Status changed from New to In Progress

- % Done changed from 0 to 50

The exception is not thrwon anymore, but the type is now TaxonNode, not Classification.

#2 - 08/30/2017 01:43 PM - Katja Luther

the dragAssistant now check if the dragged node is the root node and then uses the classification instead of the taxonnode as drag source.

#3 - 08/30/2017 01:43 PM - Katja Luther
- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

#4 - 09/01/2017 04:34 PM - Andreas Miiller
- Assignee changed from Andreas Miiller to Andreas Kohlbecker

Katja Luther wrote:
The exception is not thrwon anymore, but the type is now TaxonNode, not Classification.
Do we need classification as type? | imagine that handling everything via TaxonNode is easier than having to handle both Classification and
TaxonNode. The semantics is the same.
@AK: what do you thing from the security implementation perspective?

#5 - 09/01/2017 04:54 PM - Andreas Miiller
- Has duplicate bug #6798: NPE when trying to drag&drop a classification to the user rights editor added

#6 - 09/21/2017 03:31 PM - Andreas Miuller
Andreas Muller wrote:

@AK: what do you thing from the security implementation perspective?

??

#7 - 09/21/2017 06:33 PM - Andreas Miiller
- Related to bug #6783: Menu item for edliting right is missing added

#8 - 09/21/2017 06:35 PM - Andreas Miiller
- Related to bug #6961: Drag&Drop for taxon nodes throws NPE when hovering Classification added

#9 - 09/22/2017 04:35 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Katja Luther

The drag and drop action is no longer causing a NPE but the resulting authority is not correct. The Autority which is created in turn of dropping a
clasification is CLASSIFICATION]....] but the TaxonNodeVoter is not able to interpret this. A CdmPermittionVoter is always only responsible for one
CDM BaseClass only!! Therefore the resulting authority must the one for the root taxon node of the classification. The drag and drop was originally
implemented that way. taxeditor|af65d6ac changed this

#10 - 09/22/2017 04:35 PM - Andreas Kohlbecker

- Status changed from Resolved to Feedback

#11 - 09/22/2017 04:37 PM - Andreas Kohlbecker

- Description updated

#12 - 09/22/2017 04:51 PM - Andreas Miiller
So do | understand correctly that a ClassificationVoter does not (yet) exist. If yes than we need of course to store the TaxonNode instead.
However, for the user | find it more comfortable if we show Classification instead of TaxonNode as this is more what the user expects. Maybe the Ul

could hide this by transforming root nodes to classifications and back when showing / saving data.
But this we can also do in a more advanced Ul later if it is difficult to implement now.

#13 - 09/22/2017 05:01 PM - Andreas Kohlbecker

Andreas Muller wrote:

So do | understand correctly that a ClassificationVoter does not (yet) exist. If yes than we need of course to store the TaxonNode instead.

Exactly! And there will never be a ClassificationVoter since the TaxonNodeVoter is completely sufficient to to the job

#14 - 09/25/2017 10:21 AM - Katja Luther

- Status changed from Feedback to Resolved

sorry, | reverted the changes and now the root node is used for the TaxonNodeVoter
#15 - 09/25/2017 10:35 AM - Andreas Miiller

- Assignee changed from Katja Luther to Andreas Miiller

#16 - 09/25/2017 12:33 PM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Muiller to Katja Luther

Looks good now.
